OpenTTD Source: CYapfDestinationAnyDepotRoadT< Types > Class Template Reference

OpenTTD Source 15.0-beta1

Public Types | Public Member Functions
CYapfDestinationAnyDepotRoadT< Types > Class Template Reference

## Public Types
typedef Types::Tpf | Tpf
| the pathfinder class (derived from THIS class)
typedef Types::TrackFollower | TrackFollower
typedef Types::NodeList::Item | Node
| this will be our node type
typedef Node::Key | Key
| key to hash tables

## Public Member Functions
Tpf & | Yapf ()
| to access inherited path finder
bool | PfDetectDestination (Node &n)
| Called by YAPF to detect if node ends in the desired destination.
bool | PfDetectDestinationTile (TileIndex tile, Trackdir)
bool | PfCalcEstimate (Node &n)
| Called by YAPF to calculate cost estimate.

## Detailed Description

template<class Types>
class CYapfDestinationAnyDepotRoadT< Types >

Definition at line 187 of file yapf_road.cpp.

## Member Typedef Documentation

## ◆ Key

template<class Types >

typedef Node::Key CYapfDestinationAnyDepotRoadT< Types >::Key

key to hash tables

Definition at line 193 of file yapf_road.cpp.

## ◆ Node

template<class Types >

typedef Types::NodeList::Item CYapfDestinationAnyDepotRoadT< Types >::Node

this will be our node type

Definition at line 192 of file yapf_road.cpp.

## ◆ Tpf

template<class Types >

typedef Types::Tpf CYapfDestinationAnyDepotRoadT< Types >::Tpf

the pathfinder class (derived from THIS class)

Definition at line 190 of file yapf_road.cpp.

## ◆ TrackFollower

template<class Types >

typedef Types::TrackFollower CYapfDestinationAnyDepotRoadT< Types >::TrackFollower

Definition at line 191 of file yapf_road.cpp.

## Member Function Documentation

## ◆ PfCalcEstimate()

template<class Types >

bool CYapfDestinationAnyDepotRoadT< Types >::PfCalcEstimate | ( | Node & | n | ) |
| inline

Called by YAPF to calculate cost estimate.

Calculates distance to the destination adds it to the actual cost from origin and stores the sum to the Node::m_estimate

Definition at line 216 of file yapf_road.cpp.

## ◆ PfDetectDestination()

template<class Types >

bool CYapfDestinationAnyDepotRoadT< Types >::PfDetectDestination | ( | Node & | n | ) |
| inline

Called by YAPF to detect if node ends in the desired destination.

Definition at line 202 of file yapf_road.cpp.

References IsRoadDepotTile().

## ◆ PfDetectDestinationTile()

template<class Types >

bool CYapfDestinationAnyDepotRoadT< Types >::PfDetectDestinationTile | ( | TileIndex | tile,
|  | Trackdir |
| ) |  |
| inline

Definition at line 207 of file yapf_road.cpp.

## ◆ Yapf()

template<class Types >

Tpf & CYapfDestinationAnyDepotRoadT< Types >::Yapf | ( |  | ) |
| inline

to access inherited path finder

Definition at line 196 of file yapf_road.cpp.

The documentation for this class was generated from the following file:

- src/pathfinder/yapf/yapf_road.cpp